<template>
    <div class="right__valuta">
        <div class="valuta__top">
            <p class="text-v">{{ $t('ui.sidebar.currency') }}</p>
            <a href="#" class="active-off" :class="{'active-on' : currency.id === display_currency.id}" v-for="currency in currencies" @click.prevent="setCurrency(currency)">
                {{ currency.symbol }}
            </a>
        </div>
        <router-link :to="route('currencies')" class="valuta__head" tag="div">
            <p class="text-head">{{ $t('ui.sidebar.add_currency') }}</p>
            <svg>
                <use xlink:href="/img/sprite.svg#right-arrow-circular-button"/>
            </svg>
        </router-link>
        <div class="valuta__body"></div>
        <p class="text-desk">
            {{ $t('ui.sidebar.notice') }}
        </p>
        <p class="text-copy">{{ $t('ui.sidebar.copyright_reserved') }}<br /> {{ $t('ui.sidebar.copyright_company') }}</p>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex';
    import route from "../../mixins/route";
    import currencies from "../../currencies";

	export default {
		name: "DisplayCurrency",
        mixins: [route],
        data(){
		    return {
		        display_currency: {
		            id: currencies.default_currency_id
		        }
            }
        },
        computed: {
		    currencies: () => currencies.currencies
        },
        methods: {
		    setCurrency(currency){
		        this.display_currency = currency;
		        currencies.default_currency = currency;
		        console.log(currencies);
            }
        }
	}
</script>

<style scoped>

</style>
